Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder.image
Class JPEGTranscoder

    java.lang.Object
      org.apache.batik.transcoder.TranscoderSupport
          org.apache.batik.transcoder.AbstractTranscoder
              org.apache.batik.transcoder.XMLAbstractTranscoder
                  org.apache.batik.transcoder.SVGAbstractTranscoder
                      org.apache.batik.transcoder.image.ImageTranscoder
                          org.apache.batik.transcoder.image.JPEGTranscoder

All Implemented Interfaces:
  Transcoder

    public class JPEGTranscoder

extends ImageTranscoder

This class is an `ImageTranscoder` that produces a JPEG image.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.transcoder.SVGAbstractTranscoder
`SVGAbstractTranscoder.SVGAbstractTranscoderUserAgent`

Field Summary
`static TranscodingHints.Key` | `KEY_QUALITY` The encoder quality factor key.

Fields inherited from class org.apache.batik.transcoder.image.ImageTranscoder
`KEY_BACKGROUND_COLOR, KEY_FORCE_TRANSPARENT_WHITE`

Fields inherited from class org.apache.batik.transcoder.SVGAbstractTranscoder
`builder, ctx, curAOI, curTxf, DEFAULT_ALLOWED_SCRIPT_TYPES, DEFAULT_DEFAULT_FONT_FAMILY, height, KEY_ALLOWED_SCRIPT_TYPES, KEY_ALTERNATE_STYLESHEET, KEY_AOI, KEY_CONSTRAIN_SCRIPT_ORIGIN, KEY_DEFAULT_FONT_FAMILY, KEY_EXECUTE_ONLOAD, KEY_HEIGHT, KEY_LANGUAGE, KEY_MAX_HEIGHT, KEY_MAX_WIDTH, KEY_MEDIA, KEY_PIXEL_TO_MM, KEY_PIXEL_UNIT_TO_MILLIMETER, KEY_SNAPSHOT_TIME, KEY_USER_STYLESHEET_URI, KEY_WIDTH, root, userAgent, width`

Fields inherited from class org.apache.batik.transcoder.XMLAbstractTranscoder
`KEY_DOCUMENT_ELEMENT, KEY_DOCUMENT_ELEMENT_NAMESPACE_URI, KEY_DOM_IMPLEMENTATION, KEY_XML_PARSER_CLASSNAME, KEY_XML_PARSER_VALIDATING`

Fields inherited from class org.apache.batik.transcoder.TranscoderSupport
`handler, hints`

Constructor Summary
`JPEGTranscoder()` Constructs a new transcoder that produces jpeg images.

Method Summary
`BufferedImage` | `createImage(int width, int height)` Creates a new ARGB image with the specified dimension.
`void` | `writeImage(BufferedImage img, TranscoderOutput output)` Writes the specified image to the specified output.

Methods inherited from class org.apache.batik.transcoder.image.ImageTranscoder
`createRenderer, forceTransparentWhite, transcode`

Methods inherited from class org.apache.batik.transcoder.SVGAbstractTranscoder
`createBridgeContext, createBridgeContext, createBridgeContext, createDocumentFactory, createUserAgent, getCanvasGraphicsNode, setImageSize, transcode`

Methods inherited from class org.apache.batik.transcoder.TranscoderSupport
`addTranscodingHint, getErrorHandler, getTranscodingHints, removeTranscodingHint, setErrorHandler, setTranscodingHints, setTranscodingHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.transcoder.Transcoder
`addTranscodingHint, getErrorHandler, getTranscodingHints, removeTranscodingHint, setErrorHandler, setTranscodingHints, setTranscodingHints`

Field Detail

### KEY_QUALITY

    public static final TranscodingHints.Key KEY_QUALITY

  The encoder quality factor key.

  Key: | KEY_QUALITY
  Value: | Float (between 0 and 1)
  Default: | 1 (no lossy)
  Required: | Recommended
  Description: | Specify the JPEG image encoding quality.

Constructor Detail

### JPEGTranscoder

    public JPEGTranscoder()

  Constructs a new transcoder that produces jpeg images.

Method Detail

### createImage

    public BufferedImage createImage(int width,
                                     int height)

  Creates a new ARGB image with the specified dimension.

  Specified by:
    `createImage` in class `ImageTranscoder`
  Parameters:
    `width` - the image width in pixels
    `height` - the image height in pixels

### writeImage

    public void writeImage(BufferedImage img,
                           TranscoderOutput output)
                    throws TranscoderException

  Writes the specified image to the specified output.

  Specified by:
    `writeImage` in class `ImageTranscoder`
  Parameters:
    `img` - the image to write
    `output` - the output where to store the image
  Throws:
    `TranscoderException` - if an error occured while storing the image

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.